<?

	include("./config.inc.php");	//ตั้งค่าต่างๆของเวปบอร์ด
	include("./function.php");		//ฟังก์ชั่นที่ใช้ในเวปบอร์ด
    $key=$_GET['key'];
    $user=$_GET['user'];
    $QTitle=$_POST['QTitle'];
    $QNote=$_POST['QNote'];
    $data=$_POST['data'];

	$Upload_Img_name = $_FILES["Upload_Img"]["name"];
	$Upload_Img_type = $_FILES["Upload_Img"]["type"];	
    $Upload_Img_size = $_FILES["Upload_Img"]["size"];
	$Upload_Img = $_FILES["Upload_Img"]["tmp_name"]; 

		// อ่านจำนวนของกระทู้จากไฟล์
		if(file_exists("number.txt")) {
			$FILE=fopen("number.txt","rt");
			$num=fgets($FILE,10);
			fclose($FILE);
		}
		else{
			$num=0;
		}
		$num++;  //เพิ่มค่าขึ้น 1

		$DirOK = 0;
		$DIR = opendir("./");
		while ($text = readdir($DIR)){
			if($text == $dataDir) $DirOK = 1;
		}
	
		if(!$DirOK) mkdir("./$dataDir/",0777);

		// ถ้าอนุญาตให้อัปโหลดรูปได้	(0 ตัวแรกนั่นคือการอัปโหลดรูปจากการตั้งกระทู้)   

    if($Upload_Img!="")
	{
		$ImgDisplay="none";
		if($SendImage) 	$ImgDisplay = Send_Img(0, $num, $Upload_Img, $Upload_Img_type, $Upload_Img_size);
   }	
 	$filename="new.txt";
	if(file_exists($filename))	$dat01 = file($filename);
	$FILE=fopen($filename,"w+");
	flock($FILE,2);
	$picname="$ImgDisplay";

    $QTitle = CheckTag($QTitle);
    //$QNote = CheckTag($QNote);
    if($Upload_Img!="")      $picname = CheckTag($picname); else $picname = 0; 
    $data = CheckTag($data);

	fputs( $FILE , "$num|X|$QTitle|X|$num.txt|X|$picname|X|$mdate|X|$data|X|\n");
	
		for ($i=0 ; $i<sizeof($dat01) ; $i++)
		{
			fputs($FILE,$dat01[$i]);
		}	

	flock($FILE,3);
	fclose($FILE);
		// บันทึกค่าจำนวนกระทู้ลงในไฟล์
		$FILE=fopen("number.txt","w+");
		flock($FILE,2);
		fputs($FILE,$num);
		flock($FILE,3);
		fclose($FILE);
				
	$FILE=fopen("data/$num.txt","w+");
	flock($FILE,2);
	$QNote = CheckTag($QNote);
    fputs($FILE,$QNote);
	fclose($FILE);	
   	
   header("Location: http://thongbai.com/login/manager.php?key=$key&user=$user");		
  //  echo "Test";
?>
